org.apache.solr.search.facet

## Class SumAgg.Merger

- java.lang.Object
- - org.apache.solr.search.facet.FacetMerger
  - - org.apache.solr.search.facet.SumAgg.Merger

- Enclosing class:
    SumAgg

      public static class SumAgg.Merger
      extends FacetMerger

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.search.facet.FacetMerger

      `FacetMerger.Context`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Merger()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `compare(double a, double b, FacetRequest.SortDirection direction)`
    `int` | `compareTo(org.apache.solr.search.facet.FacetSortableMerger other, FacetRequest.SortDirection direction)` Return the normal comparison sort order.
    `void` | `finish(FacetMerger.Context mcontext)`
    `protected double` | `getDouble()`
    `Object` | `getMergedResult()`
    `void` | `merge(Object facetResult, FacetMerger.Context mcontext)`
    `void` | `prepareSort()`

    - ### Methods inherited from class org.apache.solr.search.facet.FacetMerger

      `getRefinement`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Merger

          public Merger()

  - ### Method Detail

    - #### merge

          public void merge(Object facetResult,
                            FacetMerger.Context mcontext)

    - #### getDouble

          protected double getDouble()

    - #### getMergedResult

          public Object getMergedResult()

      Specified by:
        `getMergedResult` in class `FacetMerger`

    - #### compareTo

          public int compareTo(org.apache.solr.search.facet.FacetSortableMerger other,
                               FacetRequest.SortDirection direction)

      Return the normal comparison sort order. The sort direction is only to be used in special circumstances (such as making NaN sort last regardless of sort order.) Normal sorters do not need to pay attention to direction.

    - #### compare

          public static int compare(double a,
                                    double b,
                                    FacetRequest.SortDirection direction)

    - #### prepareSort

          public void prepareSort()

    - #### finish

          public void finish(FacetMerger.Context mcontext)

      Specified by:
        `finish` in class `FacetMerger`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.